org.apache.commons.compress.archivers.zip

## Class UnicodePathExtraField

- java.lang.Object
- - org.apache.commons.compress.archivers.zip.AbstractUnicodeExtraField
  - - org.apache.commons.compress.archivers.zip.UnicodePathExtraField

- All Implemented Interfaces:
    ZipExtraField

      public class UnicodePathExtraField
      extends AbstractUnicodeExtraField

  Info-ZIP Unicode Path Extra Field (0x7075):

  Stores the UTF-8 version of the file name field as stored in the local header and central directory header.

  See Also:
    PKWARE APPNOTE.TXT, section 4.6.9
  This class is not thread-safe
    super-class is not thread-safe

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ZipShort` | `UPATH_ID`

    - ### Fields inherited from interface org.apache.commons.compress.archivers.zip.ZipExtraField

      `EXTRAFIELD_HEADER_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnicodePathExtraField()`
    `UnicodePathExtraField(String name, byte[] bytes)` Assemble as unicode path extension from the name given as text as well as the encoded bytes actually written to the archive.
    `UnicodePathExtraField(String text, byte[] bytes, int off, int len)` Assemble as unicode path extension from the name given as text as well as the encoded bytes actually written to the archive.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ZipShort` | `getHeaderId()` The Header-ID.

    - ### Methods inherited from class org.apache.commons.compress.archivers.zip.AbstractUnicodeExtraField

      `getCentralDirectoryData, getCentralDirectoryLength, getLocalFileDataData, getLocalFileDataLength, getNameCRC32, getUnicodeName, parseFromCentralDirectoryData, parseFromLocalFileData, setNameCRC32, setUnicodeName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### UPATH_ID

          public static final ZipShort UPATH_ID

  - ### Constructor Detail

    - #### UnicodePathExtraField

          public UnicodePathExtraField()

    - #### UnicodePathExtraField

          public UnicodePathExtraField(String name,
                                       byte[] bytes)

      Assemble as unicode path extension from the name given as text as well as the encoded bytes actually written to the archive.
      Parameters:
        `name` - The file name
        `bytes` - the bytes actually written to the archive

    - #### UnicodePathExtraField

          public UnicodePathExtraField(String text,
                                       byte[] bytes,
                                       int off,
                                       int len)

      Assemble as unicode path extension from the name given as text as well as the encoded bytes actually written to the archive.
      Parameters:
        `text` - The file name
        `bytes` - the bytes actually written to the archive
        `off` - The offset of the encoded file name in `bytes`.
        `len` - The length of the encoded file name or comment in `bytes`.

  - ### Method Detail

    - #### getHeaderId

          public ZipShort getHeaderId()

      Description copied from interface: `ZipExtraField`
      The Header-ID.
      Returns:
        The HeaderId value

Copyright © 2002–2022 The Apache Software Foundation. All rights reserved.